Subject: Re: [yang-doctors] Yangdoctors last call review of draft-ietf-ccamp-otn-topo-yang-11

From: Italo Busi <[email-masked]>
Date: Wed, 3 Mar 2021 21:07:13 +0000

Hi Radek,

Thanks for your YD review and comments

We have addressed them in the -12 revision that we have submitted close to the IETF 110 cut-off deadline

Please find detailed answers in line below

Italo/Haomian/Aihua (on behalf of co-authors)

> -----Original Message-----
> From: Radek Krejčí via Datatracker [mailto:[email-masked]]
> Sent: venerdì 16 ottobre 2020 15:33
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; last-
> [email-masked]
> Subject: Yangdoctors last call review of draft-ietf-ccamp-otn-topo-yang-11
> 
> Reviewer: Radek Krejčí
> Review result: Ready with Issues
> 
> This is my yang doctor review of draft draft-ietf-ccamp-otn-topo-yang-11 with
> the ietf-otn-topology@2020-09-21 YANG module.
> 
> Despite the size of the module, its structure is very simple repeatedly following
> a pattern of augmenting ietf-te-topology by groupings defined in ietf-layer1-
> types module.
> 
> Datatracker's validation with yanglint reports a number of warnings, but they
> are false positive (fixed in yanglint 1.9.16 - the fixed version still reports
> warnings, but they are all from the imported ietf-layer1-type module).
> 

[Authors] It should have been fixed with the latest update of layer1-types. There are no  more errors/warnings in the IETF datatracker

> My only note to the module itself is about the two defined groupings - I'm not
> sure about the reusability of the groupings in other modules. If the reusability
> is not the concern, I don't see any reason to define them.
> 

[Authors] We have remove both groupings in the -12 revision

> Regarding the draft, as a reader, I would appreciate a more targeted
> description in section 3. Instead of just dumping the tree diagram in section
> 3.2, it would be useful to split it into several areas with some brief descriptions
> and examples.
> 

[Authors] Since most of the YANG tree definitions are coming from the groupings defined in layer1-types, we have updated section 3 to reference the descriptions in the layer1-types draft and to describe only the few attributes defined in this draft

> The list of paths is introduced in Section 6 as "the subtrees and data nodes and
> their sensitivity/vulnerability", but I don't see explained/described the
> mentioned sensitivity/vulnerability of those paths.
> 

[Authors] We have updated section 6 in the -12 revision of the draft

> The prefix of the YANG module (also referred to in Section 7 ) - 'otntopo' -
> seems inconsistent to me. The relevant ietf-te-topology has 'tet' (so I would
> expect 'otnt' here), on the other hand, the ietf-otn-tunnel has 'otn-tunnel'
> prefix (then I would expect 'otn-topo' prefix here). The 'otntopo' seems to
> introduce just another format. As a reader/user, I would prefer if the modules
> from a common group could use some common and obvious rules for prefixes.
> 

[Authors] We have triggered some discussion within CCAMP and TEAS WG mailing lists to address this comment. We will update the model based on the outcome of that discussion.